# eric7.MultiProject.AddProjectDialog

Module implementing the add project dialog.

### Global Attributes

None

### Classes

AddProjectDialog | Class implementing the add project dialog.

### Functions

None

## AddProjectDialog

Class implementing the add project dialog.

### Derived from

QDialog, Ui_AddProjectDialog

### Class Attributes

None

### Class Methods

None

### Methods

AddProjectDialog | Constructor
__updateUi | Private method to update the dialog.
getData | Public slot to retrieve the dialogs data.
on_filenamePicker_textChanged | Private slot called when the project filename has changed.
on_nameEdit_textChanged | Private slot called when the project name has changed.

### Static Methods

None

#### AddProjectDialog (Constructor)

AddProjectDialog(parent=None, startdir="", project=None, categories=None, category="")

Constructor

parent (QWidget)
  parent widget of this dialog
startdir (str)
  start directory for the selection dialog
project (dict)
  dictionary containing project data
categories (list of str)
  list of already used categories
category (str)
  category to be preset

#### AddProjectDialog.__updateUi

__updateUi()

Private method to update the dialog.

#### AddProjectDialog.getData

getData()

Public slot to retrieve the dialogs data.

Return:
  tuple of five values (string, string, boolean, string, string) giving the project name, the name of the project file, a flag telling whether the project shall be the main project, a short description for the project and the project category

#### AddProjectDialog.on_filenamePicker_textChanged

on_filenamePicker_textChanged(txt)

Private slot called when the project filename has changed.

txt
  text of the edit (string)

#### AddProjectDialog.on_nameEdit_textChanged

on_nameEdit_textChanged(txt)

Private slot called when the project name has changed.

txt
  text of the edit (string)

Up